<html><body><p><font size="2">>>></font><tt><font size="2">(a) KVM for IBM z Systems: John Garbutt pointed out[3] on IRC that:<br>>>> "IBM announced that KVM for IBM z will be withdrawn, effective March<br>>>> 31, 2018 [...] development will not only continue unaffected, but<br>>>> the options for users grow, especially with the recent addition of<br>>>> SuSE to the existing support in Ubuntu."<br><br>>>> The message seems to be: "use a regular distribution".  So this is<br>>>> covered, if we a version based on other distributions.</font></tt><br><br><tt><font size="2">Yes, IBM don't have a product on s390x anymore per [3] indicated,</font></tt><br><tt><font size="2">we are cooperating with distro in enablement</font></tt><br><br><tt><font size="2">and for openstack, KVM on z has its own 3rd CI maintaining by us per [5] </font></tt><br><br><tt><font size="2">[5] </font></tt><a href="http://ci-watch.tintri.com/project?project=nova"><tt><font size="2">http://ci-watch.tintri.com/project?project=nova</font></tt></a><tt><font size="2">    (</font></tt>IBM zKVM CI <tt><font size="2">)</font></tt><br><br><font size="2">Best Regards! <br><br>Kevin (Chen) Ji  <br><br>Engineer, zVM Development, CSTL<br>Notes: Chen CH Ji/China/IBM@IBMCN   Internet: jichenjc@cn.ibm.com<br>Phone: +86-10-82451493<br>Address: 3/F Ring Building, ZhongGuanCun Software Park, Haidian District, Beijing 100193, PRC </font><br><br><img width="16" height="16" src="cid:1__=8FBB0980DF884AC88f9e8a93df938690918c8FB@" border="0" alt="Inactive hide details for Kashyap Chamarthy ---09/24/2018 09:28:55 PM---Hey folks, Before we bump the agreed upon[1] minimum ve"><font size="2" color="#424282">Kashyap Chamarthy ---09/24/2018 09:28:55 PM---Hey folks, Before we bump the agreed upon[1] minimum versions for libvirt and QEMU</font><br><br><font size="2" color="#5F5F5F">From:        </font><font size="2">Kashyap Chamarthy <kchamart@redhat.com></font><br><font size="2" color="#5F5F5F">To:        </font><font size="2">openstack-operators@lists.openstack.org, openstack-dev@lists.openstack.org</font><br><font size="2" color="#5F5F5F">Date:        </font><font size="2">09/24/2018 09:28 PM</font><br><font size="2" color="#5F5F5F">Subject:        </font><font size="2">[Openstack-operators] RFC: Next minimum libvirt / QEMU versions for        'T' release</font><br><hr width="100%" size="2" align="left" noshade style="color:#8091A5; "><br><br><br><tt><font size="2">Hey folks,<br><br>Before we bump the agreed upon[1] minimum versions for libvirt and QEMU<br>for 'Stein', we need to do the tedious work of picking the NEXT_MIN_*<br>versions for the 'T' (which is still in the naming phase) release, which<br>will come out in the autumn (Sep-Nov) of 2019.<br><br>Proposal<br>--------<br><br>Looking at the DistroSupportMatrix[2], it seems like we can pick the<br>libvirt and QEMU versions supported by the next LTS release of Ubuntu --<br>18.04; "Bionic", which are:<br><br>    libvirt: 4.0.0<br>    QEMU:    2.11<br><br>Debian, Fedora, Ubuntu (Bionic), openSUSE currently already ship the<br>above versions.  And it seems reasonable to assume that the enterprise<br>distribtions will also ship the said versions pretty soon; but let's<br>double-confirm below.<br><br>Considerations and open questions<br>---------------------------------<br><br>(a) KVM for IBM z Systems: John Garbutt pointed out[3] on IRC that:<br>    "IBM announced that KVM for IBM z will be withdrawn, effective March<br>    31, 2018 [...] development will not only continue unaffected, but<br>    the options for users grow, especially with the recent addition of<br>    SuSE to the existing support in Ubuntu."<br><br>    The message seems to be: "use a regular distribution".  So this is<br>    covered, if we a version based on other distributions.<br><br>(b) Oracle Linux: Can you please confirm if you'll be able to<br>    release libvirt and QEMU to 4.0.0 and 2.11, respectively?<br><br>(c) SLES: Same question as above.<br><br>Assuming Oracle Linux and SLES confirm, please let us know if there are<br>any objections if we pick NEXT_MIN_* versions for the OpenStack 'T'<br>release to be libvirt: 4.0.0 and QEMU: 2.11.<br><br>    * * *<br><br>A refresher on libvirt and QEMU release schedules<br>-------------------------------------------------<br><br>  - There will be at least 12 libvirt releases (_excluding_ maintenance<br>    releases) by Autumn 2019.  A new libvirt release comes out every<br>    month[4].<br><br>  - And there will be about 4 releases of QEMU.  A new QEMU release<br>    comes out once every four months.<br><br>[1] </font></tt><tt><font size="2"><a href="http://git.openstack.org/cgit/openstack/nova/commit/?h=master&id=28d337b">http://git.openstack.org/cgit/openstack/nova/commit/?h=master&id=28d337b</a></font></tt><tt><font size="2"><br>    -- Pick next minimum libvirt / QEMU versions for "Stein"<br>[2] </font></tt><tt><font size="2"><a href="https://wiki.openstack.org/wiki/LibvirtDistroSupportMatrix">https://wiki.openstack.org/wiki/LibvirtDistroSupportMatrix</a></font></tt><tt><font size="2"><br>[3] </font></tt><tt><font size="2"><a href="http://kvmonz.blogspot.com/2017/03/kvm-for-ibm-z-withdrawal.html">http://kvmonz.blogspot.com/2017/03/kvm-for-ibm-z-withdrawal.html</a></font></tt><tt><font size="2"><br>[4] </font></tt><tt><font size="2"><a href="https://libvirt.org/downloads.html#schedule">https://libvirt.org/downloads.html#schedule</a></font></tt><tt><font size="2"><br><br>-- <br>/kashyap<br><br>_______________________________________________<br>OpenStack-operators mailing list<br>OpenStack-operators@lists.openstack.org<br></font></tt><tt><font size="2"><a href="http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators">http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators</a></font></tt><tt><font size="2"><br><br></font></tt><br><br><BR>
</body></html>